# Lua::eval

(PECL lua >=0.9.0)

Lua::eval — Evaluate a string as Lua code

### Description

public Lua::eval ( string `$statements` ) : mixed

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`statements`

### Return Values

Returns result of evaled code, `NULL` for wrong arguments or `FALSE` on other failure.

### Examples

Example #1 Lua::eval()example

`<?php
$lua = new Lua();
$lua->eval(<<<CODE
print(2);
CODE
);
?>`

The above example will output:

    2